"use strict";

core.modules.connect(["session", "account", "telegram"])
	.then(() => {
		//
		const { initData, initDataUnsafe, ...data } = core.telegram.api;

		//
		core.session.buffer.write("telegram_program", JSON.stringify(data));

		if (core.telegram.api.initData.length > 0) {
			//

			//
			core.account.authentication();
		}

		//
		core.telegram.api.ready();
	});
